Name: icingadb-redis
Version: 7.2.10
Release: 1%{?dist}.cubbi1
Summary: Redis database for Icinga DB
Group: Productivity/Databases/Daemons
License: BSD-3-Clause
URL: https://icinga.com
Source0: %{name}-%{version}.tgz
Source1: %{name}-rpm.tgz

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sed
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros
BuildRequires: which

BuildRequires: tcl

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This provides a dedicated Redis server for Icinga DB.

%define debug_package %{nil}

%prep
%autosetup
install -d sources
tar -C sources -xzvf %_topdir/SOURCES/%{name}-rpm.tgz

patch -sp1 < sources/redis.conf.patch

sed -i 's@/usr/libexec@/usr/libexec@g' sources/icingadb-redis-cli-6380.sh
make BUILD_TLS=yes USE_SYSTEMD=yes

cd sources/SELinux
for variant in mls targeted; do
make NAME=${variant} -f /usr/share/selinux/devel/Makefile
mv icingadb-redis.pp icingadb-redis.pp.${variant}
make NAME=${variant} -f /usr/share/selinux/devel/Makefile clean
done
cd -

%check
./runtest --tags unit

%install

install -dm 0750 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/var/lib/icingadb-redis
install -dm 0750 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/etc/icingadb-redis
install -pm 0640 redis.conf %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/etc/icingadb-redis/icingadb-redis.conf
install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/icingadb-redis
install -pm 0644 sources/%{name}-systemd.conf %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/icingadb-redis/icingadb-redis-systemd.conf
install -Dpm 0644 sources/%{name}.service %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64%{_unitdir}/icingadb-redis.service
install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/bin
install -pm 0755 src/redis-server %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/bin/icingadb-redis-server
install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/libexec
install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/libexec/icingadb-redis
install -pm 0755 src/redis-cli %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/libexec/icingadb-redis/redis-cli
install -pm 0755 sources/icingadb-redis-cli-6380.sh %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/bin/icingadb-redis-cli

cd sources/SELinux
for variant in mls targeted; do
install -Dpm 644 icingadb-redis.pp.${variant} %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/selinux/${variant}/icingadb-redis.pp
done

%pre
getent passwd icingadb-redis >/dev/null || useradd -rU -d /var/lib/icingadb-redis -s /sbin/nologin icingadb-redis

%post
%systemd_post icingadb-redis.service

%preun
%systemd_preun icingadb-redis.service

%postun
%systemd_postun_with_restart icingadb-redis.service

%files
%dir /usr/share/icingadb-redis
/usr/share/icingadb-redis/icingadb-redis-systemd.conf
%{_unitdir}/icingadb-redis.service
%dir /usr/libexec/icingadb-redis
/usr/libexec/icingadb-redis/redis-cli
/usr/bin/icingadb-redis-server
/usr/bin/icingadb-redis-cli

%attr(-, icingadb-redis, root) %dir /etc/icingadb-redis
%attr(-, icingadb-redis, root) %config(noreplace) /etc/icingadb-redis/icingadb-redis.conf
%attr(-, icingadb-redis, root) %dir /var/lib/icingadb-redis

%package selinux
Summary: SELinux policy module for Icinga DB Redis®
Group: System/Base
Requires: %{name} = %{version}-%{release}
Requires: selinux-policy
Requires: icinga-selinux-common
Requires(post): policycoreutils
Requires(postun): policycoreutils

BuildArch: noarch

BuildRequires: checkpolicy
BuildRequires: selinux-policy-devel

%description selinux
Icinga DB Redis® SELinux policy module.
This package provides the SELinux policy module for Icinga DB Redis®.

%post selinux
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --install /usr/share/selinux/${variant}/icingadb-redis.pp &> /dev/null || :
done

/sbin/fixfiles -R icingadb-redis restore &> /dev/null || :

%postun selinux
if [ $1 -eq 0 ]; then
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --remove icingadb-redis &> /dev/null || :
done

/sbin/fixfiles -R icingadb-redis restore &> /dev/null || :
fi

%files selinux
/usr/share/selinux/mls/icingadb-redis.pp
/usr/share/selinux/targeted/icingadb-redis.pp

%changelog
* Fri Jul 11 2025 Matthias Hensler <matthias@wspse.de> - 7.2.10-1.cubbi1
- build for RHEL

* Mon Jul 07 2025 Icinga GmbH <info@icinga.com> - 7.2.10-1.fc40
- Version 7.2.10-1

